> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete transaction

> Delete an offline transaction with no invoice allocations, wallet funding, or dependent transactions.



## OpenAPI

````yaml delete /v1/transactions/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/transactions/{id}:
    delete:
      tags:
        - Transactions
      summary: Delete transaction
      description: >-
        Delete an offline transaction with no invoice allocations, wallet
        funding, or dependent transactions.
      operationId: deleteTransaction
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
        '400':
          description: Transaction cannot be deleted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Transaction not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````